Get Agent Overview
Aggregate stats + upcoming work for one agent.
GET
/
v1
/
agents
/
{agent_id}
/
overview
Get Agent Overview
curl --request GET \
--url https://api.example.com/v1/agents/{agent_id}/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/agents/{agent_id}/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/agents/{agent_id}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cost_mtd_usd": 123,
"cost_today_usd": 123,
"daily_spend": [
{
"date": "<string>",
"usd": 123
}
],
"daily_tasks": [
{
"completed": 123,
"date": "<string>",
"failed": 123,
"input_required": 123
}
],
"last_activity_at": "<string>",
"tasks_done_today": 123,
"tasks_failed_today": 123,
"upcoming": [
{
"fires_at": "<string>",
"kind": "<string>",
"title": "<string>",
"cron_expression": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on September 21, 2026
⌘I
Get Agent Overview
